Security Analyzer Java Error

New Here ,
Jan 18, 2021 Jan 18, 2021

Copy link to clipboard

Copied

Hi, I've installed CF Builder 2018 on a Windows Server 2012 R2 Standard machine.  Normally we don't use this tool but wanted to use the Security Analyzer.  After setting it up and pointing it to a project folder, I right-click on one of the files I want to analyze, on the fly-out menu choose Security Analyzer, Run Security Analyzer, and it returns the following error:

 

An internal error occurred during: "Security Analyzer".
java.lang.NullPointerException

 

I have tried installing the CF Builder 2018 package on several other machines on our network with the same results.  Here are the version details that I could find.

 

CF Builder:

Version: 3.2.1
Build: 313943

 

From the configuration log:

com.adobe.ide.coldfusion.securityanalyzer (3.2.1.201902041055) "Htmlconverter" [Active]

Id: com.adobe.ide.coldfusion.securityanalyzer, Version: 3.2.1.201902041055, Location: reference:file:plugins/com.adobe.ide.coldfusion.securityanalyzer_3.2.1.201902041055/

Adobe ColdFusion Builder 2018 Plugins Version: 3.2.1.201902041055

 

Would appreciate any advice as to how to correct this issue.  Thanks for any assistance.

TOPICS
Builder, Security

Views

47

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
no replies

Have something to add?

Join the conversation